## jami 20220725.1633.61855d2

=== libavcodec/alpha/Makefile ===
OBJS-$(CONFIG_BLOCKDSP)                 += alpha/blockdsp_alpha.o
OBJS-$(CONFIG_ME_CMP)                   += alpha/me_cmp_alpha.o         \
                                           alpha/me_cmp_mvi_asm.o
OBJS-$(CONFIG_HPELDSP)                  += alpha/hpeldsp_alpha.o        \
                                           alpha/hpeldsp_alpha_asm.o
OBJS-$(CONFIG_IDCTDSP)                  += alpha/idctdsp_alpha.o        \
                                           alpha/idctdsp_alpha_asm.o    \
                                           alpha/simple_idct_alpha.o
OBJS-$(CONFIG_MPEGVIDEO)                += alpha/mpegvideo_alpha.o
OBJS-$(CONFIG_PIXBLOCKDSP)              += alpha/pixblockdsp_alpha.o

=== daemon/src/upnp/protocol/natpmp/CMakeLists.txt ===
################################################################################
# Source groups - natpmp
################################################################################
list (APPEND Source_Files__upnp__protocol__natpmp
      "${CMAKE_CURRENT_SOURCE_DIR}/nat_pmp.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/nat_pmp.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/pmp_igd.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/pmp_igd.h"
)

set (Source_Files__upnp__protocol__natpmp ${Source_Files__upnp__protocol__natpmp} PARENT_SCOPE)

=== src/regress/lib/libc/fpclassify/Makefile ===
#	$OpenBSD: Makefile,v 1.1 2008/09/07 20:36:10 martynas Exp $

PROG=	fpclassify

.include <bsd.regress.mk>

=== src/regress/lib/libc/gcvt/Makefile ===
#	$OpenBSD: Makefile,v 1.1 2010/09/17 19:51:38 millert Exp $

PROG=	gcvt_test

.include <bsd.regress.mk>

=== src/regress/lib/libcrypto/aeswrap/Makefile ===
#	$OpenBSD: Makefile,v 1.4 2014/07/08 15:53:52 jsing Exp $

PROG=	aes_wrap
LDADD=	-lcrypto
DPADD=	${LIBCRYPTO}
WARNINGS=	Yes
CFLAGS+=	-DLIBRESSL_INTERNAL -Werror

.include <bsd.regress.mk>

=== src/regress/lib/libcrypto/asn1/Makefile ===
#	$OpenBSD: Makefile,v 1.16 2022/02/26 16:45:31 jsing Exp $

PROGS = \
	asn1api \
	asn1basic \
	asn1complex \
	asn1evp \
	asn1object \
	asn1string_copy \
	asn1time \
	asn1x509 \
	rfc5280time \
	string_table

DPADD+=		${LIBCRYPTO} ${LIBSSL}
WARNINGS=	Yes
LDFLAGS+=	-lcrypto
CFLAGS+=	-DLIBRESSL_INTERNAL
CFLAGS+=	-Wall -Wundef -Werror
CFLAGS+=	-I${.CURDIR}/../../../../lib/libcrypto/asn1
CFLAGS+=	-I${.CURDIR}/../../../../lib/libcrypto/bytestring

LDADD_asn1basic = ${CRYPTO_INT}

.for p in ${PROGS}
REGRESS_TARGETS +=	run-$p

run-$p: $p
	@./$p
.endfor

.include <bsd.regress.mk>

=== src/regress/lib/libcrypto/ecdsa/Makefile ===
#	$OpenBSD: Makefile,v 1.5 2022/01/14 09:38:50 tb Exp $

PROG=	ecdsatest
LDADD=	-lcrypto
DPADD=	${LIBCRYPTO}
WARNINGS=	Yes
CFLAGS+=	-DLIBRESSL_INTERNAL -Werror

.include <bsd.regress.mk>

=== src/regress/lib/libcrypto/poly1305/Makefile ===
#	$OpenBSD: Makefile,v 1.3 2014/07/08 15:53:53 jsing Exp $

PROG=	poly1305test
LDADD=	-lcrypto
DPADD=	${LIBCRYPTO}
WARNINGS=	Yes
CFLAGS+=	-DLIBRESSL_INTERNAL -Werror

.include <bsd.regress.mk>

=== src/regress/lib/libssl/tls/Makefile ===
#	$OpenBSD: Makefile,v 1.1 2021/10/23 14:34:10 jsing Exp $

PROG=	tlstest
LDADD=	-lssl -lcrypto
DPADD=	${LIBSSL} ${LIBCRYPTO}
WARNINGS=	Yes
CFLAGS+=	-DLIBRESSL_INTERNAL -Werror

REGRESS_TARGETS= \
	regress-tlstest

regress-tlstest: ${PROG}
	./tlstest \
	    ${.CURDIR}/../../libssl/certs/server.pem \
	    ${.CURDIR}/../../libssl/certs/server.pem \
	    ${.CURDIR}/../../libssl/certs/ca.pem

.include <bsd.regress.mk>

=== src/regress/lib/libtls/verify/Makefile ===
#	$OpenBSD: Makefile,v 1.3 2017/01/09 12:34:03 jsing Exp $

PROG=	verifytest
LDADD=	-lcrypto -lssl ${TLS_INT}
DPADD=	${LIBCRYPTO} ${LIBSSL} ${LIBTLS}

WARNINGS=	Yes
CFLAGS+=	-Werror

.include <bsd.regress.mk>

=== src/regress/lib/libc/ieeefp/infinity/Makefile ===
#	$OpenBSD: Makefile,v 1.2 2004/01/16 19:34:37 miod Exp $

PROG=	infinity

DPADD+=	${LIBM}
LDADD+=	-lm

REGRESS_TARGETS+= add mult neg pumpkin

add: ${PROG}
	./${PROG} -a

mult: ${PROG}
	./${PROG} -m

neg: ${PROG}
	./${PROG} -n

pumpkin: ${PROG}
	./${PROG} -p

.include <bsd.regress.mk>

=== src/regress/lib/libc/locale/setlocale/Makefile ===
#	$OpenBSD: Makefile,v 1.2 2017/07/27 15:08:37 bluhm Exp $

PROG =	setlocale

run-regress-${PROG}: ${PROG}
	env -i LC_ALL=fr_FR.UTF-8 ./${PROG}

.include <bsd.regress.mk>

=== packaging/rules/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Ubuntu defaults to use -Bsymbolic-functions, which breaks linking
# shared objects with static FFmpeg archives (see:
# https://bugs.launchpad.net/ubuntu/+source/ffmpeg/+bug/1942352).
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
ifneq (,$(LDFLAGS))
  LDFLAGS := $(filter-out %-Bsymbolic-functions,$(LDFLAGS))
endif
endif

# Number of CPUS
NO_CPUS=$(shell nproc)
ifeq ($(NO_CPUS),0)
NO_CPUS=1
endif

# Binary package names
JAMI_ALL_IN_ONE_PKG_NAME="jami-all"
JAMI_CLIENT_PKG_NAME="jami"
JAMI_DAEMON_PKG_NAME="jami-daemon"

# Bundled packages from contrib
BUNDLED_PKGS=""
ifeq (debian_10,$(findstring debian_10, $(DISTRIBUTION)))
# Daemon's bundled libarchive does not build on Debian 10
BUNDLED_PKGS="--disable-libarchive"
endif
ifeq (ubuntu_18.04,$(findstring ubuntu_18.04, $(DISTRIBUTION)))
# Daemon's bundled libarchive does not build on Ubuntu 18.04
BUNDLED_PKGS="--disable-libarchive"
endif
ifeq (raspbian_10_armhf,$(findstring raspbian_10_armhf, $(DISTRIBUTION)))
# Raspbian's yaml-cpp lib does not work properly
BUNDLED_PKGS="--enable-ffmpeg --enable-yaml-cpp"
# Add host environment variables
CMAKE_OPTIONS=-DCHOST=${HOST_ARCH} \
  -DCMAKE_C_COMPILER=${HOST_ARCH}-gcc \
  -DCMAKE_CXX_COMPILER=${HOST_ARCH}-g++ \
  -DCMAKE_FIND_ROOT_PATH=/usr/${HOST_ARCH} \
  -DCMAKE_BUILD_TYPE=Release \
  -DPKG_CONFIG_EXECUTABLE=/usr/bin/${HOST_ARCH}-pkg-config
endif

# Qt-related variables
QT_JAMI_PREFIX := ${QT_JAMI_PREFIX}
export PATH := $(QT_JAMI_PREFIX)/bin:${PATH}
export LD_LIBRARY_PATH := $(QT_JAMI_PREFIX)/lib:${LD_LIBRARY_PATH}
export PKG_CONFIG_PATH := $(QT_JAMI_PREFIX)/lib/pkgconfig:${PKG_CONFIG_PATH}
export CMAKE_PREFIX_PATH := $(QT_JAMI_PREFIX)/lib/cmake:${CMAKE_PREFIX_PATH}
export CFLAGS := $(CFLAGS) -fno-lto
export CXXFLAGS := $(CXXFLAGS) -fno-lto

# Installation directories.
OCI_INSTALL_DIR = $(CURDIR)/debian/$(JAMI_ALL_IN_ONE_PKG_NAME)

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	# Daemon contribs build + configure
	mkdir -p daemon/contrib/native
	cd daemon/contrib/native && \
	../bootstrap \
	  --host=${HOST_ARCH} \
	  --disable-downloads \
	  --no-checksums \
	  --disable-ogg \
	  --disable-flac \
	  --disable-vorbis \
	  --disable-vorbisenc \
	  --disable-speex \
	  --disable-sndfile \
	  --disable-gsm \
	  --disable-speexdsp \
	  --disable-natpmp  \
	  --enable-gnutls $(BUNDLED_PKGS) && \
	make list && \
	make -j$(NO_CPUS) V=1
	cd daemon && \
	./autogen.sh && \
	./configure \
	  --prefix=/usr \
	  --host=${HOST_ARCH}

	# Daemon build
	make -C daemon -j$(NO_CPUS) V=1
	pod2man daemon/man/jamid.pod > daemon/jamid.1

	# Qt client configure and build
	cd client-qt && \
	mkdir build && \
	cd build && \
	cmake \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DLIBJAMI_BUILD_DIR=$(CURDIR)/daemon/src \
	  -DENABLE_LIBWRAP=true \
	  $(CMAKE_OPTIONS) ..
	make -C client-qt/build -j$(NO_CPUS) V=1

override_dh_auto_clean:
	# Daemon clean
	[ -f daemon/contrib/native/Makefile ] && \
	  make -C daemon/contrib/native distclean || true
	rm -rfv daemon/contrib/native
	rm -rfv daemon/jamid.1

	# Qt client clean
	# CMake build system has no distclean target, so use clean.
	[ -f client-qt/build/Makefile ] && make -C client-qt/build clean || true
	rm -rfv client-qt/build

override_dh_auto_install:
	# Daemon install
	cd daemon && make DESTDIR=$(CURDIR)/debian/$(JAMI_DAEMON_PKG_NAME) install
	rm -rfv $(CURDIR)/debian/$(JAMI_DAEMON_PKG_NAME)/usr/include
	rm -rfv $(CURDIR)/debian/$(JAMI_DAEMON_PKG_NAME)/usr/lib/*.a
	rm -rfv $(CURDIR)/debian/$(JAMI_DAEMON_PKG_NAME)/usr/lib/*.la

	# Qt client install
	cd client-qt/build && \
	make DESTDIR=$(CURDIR)/debian/$(JAMI_CLIENT_PKG_NAME) install

	## Custom Qt package for Jami (libqt-jami)
	## Copy our own Qt library package content into the OCI package.
	for file_name in $$(dpkg-query -L libqt-jami); do 	\
	  mkdir -p "$(OCI_INSTALL_DIR)$$(dirname $$file_name)"; \
	  test -d "$$file_name" && continue;  			\
	  cp "$$file_name" "$(OCI_INSTALL_DIR)$$file_name";	\
	done

	# Jami all-in-one install
	#   Daemon
	cd daemon && make DESTDIR=$(CURDIR)/debian/$(JAMI_ALL_IN_ONE_PKG_NAME) install
	rm -rfv $(CURDIR)/debian/$(JAMI_ALL_IN_ONE_PKG_NAME)/usr/include
	rm -rfv $(CURDIR)/debian/$(JAMI_ALL_IN_ONE_PKG_NAME)/usr/lib/*.a
	rm -rfv $(CURDIR)/debian/$(JAMI_ALL_IN_ONE_PKG_NAME)/usr/lib/*.la
	#   Qt client
	cd client-qt/build && \
	make DESTDIR=$(CURDIR)/debian/$(JAMI_ALL_IN_ONE_PKG_NAME) install

override_dh_shlibdeps:
	dh_shlibdeps -- -x$(JAMI_ALL_IN_ONE_PKG_NAME)

tmpdir:= $(shell mktemp -d)
workdir:= $(shell pwd)
PKD := $(abspath $(dir $(MAKEFILE_LIST)))
version_to_download := $(shell dpkg-parsechangelog -ldebian/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\~dfsg.+)(?:\-\d+.*)};')

## jami 20220726.1515.da8d1da

=== daemon/src/plugin/CMakeLists.txt ===
################################################################################
# Source groups - plugin
################################################################################
list (APPEND Source_Files__plugin
      "${CMAKE_CURRENT_SOURCE_DIR}/jamipluginmanager.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/pluginloader.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/pluginmanager.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/pluginpreferencesutils.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/pluginsutils.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/preferenceservicesmanager.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/preferenceservicesmanager.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/callservicesmanager.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/callservicesmanager.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/chatservicesmanager.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/chatservicesmanager.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/preferencehandler.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/webviewservicesmanager.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/webviewservicesmanager.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/webviewhandler.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/chathandler.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/jamiplugin.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/jamipluginmanager.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/pluginsutils.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/mediahandler.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/pluginloader.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/pluginmanager.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/pluginpreferencesutils.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/streamdata.h"
)

set (Source_Files__plugin ${Source_Files__plugin} PARENT_SCOPE)

=== src/usr.bin/openssl/Makefile ===
#	$OpenBSD: Makefile,v 1.11 2019/11/04 15:25:54 jsing Exp $

.include <bsd.own.mk>

PROG=	openssl
LDADD=	-lssl -lcrypto
DPADD=	${LIBSSL} ${LIBCRYPTO}

CFLAGS+= -Wall
CFLAGS+= -Wformat
CFLAGS+= -Wformat-security
CFLAGS+= -Wimplicit
CFLAGS+= -Wreturn-type
#CFLAGS+= -Wshadow
CFLAGS+= -Wtrigraphs
CFLAGS+= -Wuninitialized
CFLAGS+= -Wunused
.if ${COMPILER_VERSION:L} == "clang"
CFLAGS+= -Werror
.endif
CFLAGS+= -DLIBRESSL_INTERNAL

SRCS=	apps.c apps_posix.c asn1pars.c ca.c certhash.c ciphers.c cms.c crl.c \
	crl2p7.c dgst.c dh.c dhparam.c dsa.c dsaparam.c ec.c ecparam.c enc.c \
	errstr.c gendh.c gendsa.c genpkey.c genrsa.c nseq.c ocsp.c \
	openssl.c passwd.c pkcs12.c pkcs7.c pkcs8.c pkey.c pkeyparam.c \
	pkeyutl.c prime.c rand.c req.c rsa.c rsautl.c s_cb.c s_client.c \
	s_server.c s_socket.c s_time.c sess_id.c smime.c speed.c spkac.c ts.c \
	verify.c version.c x509.c

.include <bsd.prog.mk>

=== daemon/src/media/audio/echo-cancel/CMakeLists.txt ===
################################################################################
# Source groups - echo-cancel
################################################################################
list (APPEND Source_Files__media__audio__echo_cancel
      "${CMAKE_CURRENT_SOURCE_DIR}/echo_canceller.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/null_echo_canceller.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/null_echo_canceller.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/speex_echo_canceller.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/speex_echo_canceller.cpp"
      "${CMAKE_CURRENT_SOURCE_DIR}/webrtc_echo_canceller.h"
      "${CMAKE_CURRENT_SOURCE_DIR}/webrtc_echo_canceller.cpp"
)

set (Source_Files__media__audio__echo_cancel ${Source_Files__media__audio__echo_cancel} PARENT_SCOPE)

=== src/regress/lib/libc/basename/Makefile ===
PROG=basename_test

.include <bsd.regress.mk>

=== src/regress/lib/libc/hsearch/Makefile ===
#	$OpenBSD: Makefile,v 1.1 2004/06/24 04:33:07 millert Exp $

PROG=		hsearchtest

.include <bsd.regress.mk>

=== src/regress/lib/libcrypto/idea/Makefile ===
#	$OpenBSD: Makefile,v 1.3 2014/07/08 15:53:52 jsing Exp $

PROG=	ideatest
LDADD=	-lcrypto
DPADD=	${LIBCRYPTO}
WARNINGS=	Yes
CFLAGS+=	-DLIBRESSL_INTERNAL -Werror

.include <bsd.regress.mk>

=== src/regress/lib/libcrypto/wycheproof/Makefile ===
# $OpenBSD: Makefile,v 1.3 2019/04/24 20:25:19 bluhm Exp $

.if ! (make(clean) || make(cleandir) || make(obj))
GO_VERSION != sh -c "(go version) 2>/dev/null || true"
.endif

.if empty(GO_VERSION)
regress:
	@echo package go is required for this regress
	@echo SKIPPED
.endif

CLEANFILES+=wycheproof
REGRESS_TARGETS=regress-wycheproof

audit: wycheproof
	./wycheproof -v

wycheproof: wycheproof.go
	go build -o wycheproof ${.CURDIR}/wycheproof.go

regress-wycheproof: wycheproof
	./wycheproof

.PHONY: audit

.include <bsd.regress.mk>

=== src/regress/lib/libtls/config/Makefile ===
#	$OpenBSD: Makefile,v 1.2 2018/02/08 10:05:43 jsing Exp $

PROG=	configtest
LDADD=	-lcrypto -lssl -ltls
DPADD=	${LIBCRYPTO} ${LIBSSL} ${LIBTLS}

WARNINGS=	Yes
CFLAGS+=	-DLIBRESSL_INTERNAL -Wall -Wundef -Werror

.include <bsd.regress.mk>

=== src/regress/lib/libtls/signer/Makefile ===
#	$OpenBSD: Makefile,v 1.2 2022/03/24 15:58:57 tb Exp $

PROG=	signertest
LDADD=	-lcrypto -lssl
LDADD+=	-Wl,-Bstatic -ltls -Wl,-Bdynamic
DPADD=	${LIBCRYPTO} ${LIBSSL} ${LIBTLS}

WARNINGS=	Yes
CFLAGS+=	-DLIBRESSL_INTERNAL -Wall -Wundef -Werror
CFLAGS+=	-I${.CURDIR}/../../../../lib/libtls/

REGRESS_TARGETS= \
	regress-signertest

regress-signertest: ${PROG}
	./signertest \
	    ${.CURDIR}/../../libssl/certs

.include <bsd.regress.mk>

=== src/regress/lib/libc/arch/alpha/divremtest/Makefile ===
#	$OpenBSD: Makefile,v 1.2 2001/01/29 02:05:39 niklas Exp $
#	$NetBSD: Makefile,v 1.1 1995/04/24 05:53:34 cgd Exp $

PROG=	divremtest
NOMAN=

CLEANFILES+=	mkcases cases.c mktestcases testcases

divremtest.c: cases.c

cases.c: mkcases
	/bin/rm -f cases.c
	mkcases > cases.c

# a typical strategy to use this:
# compile a NetBSD divremtest binary, an OSF/1 divremtest binary, and an
# OSF/1 mktestcases binary.  You then run mktestecases | divremtest -g
# on an OSF/1 machine, and pipe the output to an rsh to a NetBSD machine
# which then runs divremtest.  You can test an infinite number of random
# values that way; I like to put a 'dd' in, so I can see how much I've done.

testcases: mktestcases divremtest
	/bin/rm -f testcases
	mktestcases | divremtest -g > testcases

regress:
	@echo THIS TEST CANNOT BE RUN AUTOMATICALLY.
	@false

.include <bsd.prog.mk>

=== packaging/rules/debian/control ===
Source: jami
Section: comm
Priority: optional
Maintainer: The Jami project <jami@gnu.org>
Build-Depends: debhelper (>= 9),
               autoconf,
               automake,
               libtool,
               autotools-dev,
# qt client
               libqt-jami,
               python3,
               libnm-dev,
               libnotify-dev,
               libqrencode-dev,
               libayatana-appindicator3-dev | libappindicator3-dev,
# daemon
               libdbus-1-dev,
               libdbus-c++-dev,
               libupnp-dev,
               libgnutls28-dev,
               libpulse-dev,
               libasound2-dev,
               libexpat1-dev,
               libpcre3-dev,
               libyaml-cpp-dev,
               libboost-dev,
               libxext-dev,
               libxfixes-dev,
               libspeex-dev,
               libspeexdsp-dev,
               uuid-dev,
               libavcodec-dev,
               libavutil-dev,
               libavformat-dev,
               libswscale-dev,
               libavdevice-dev,
               libopus-dev,
               libudev-dev,
               libgsm1-dev,
               libjsoncpp-dev,
               libnatpmp-dev,
               libva-dev,
               libcrypto++-dev,
               libvdpau-dev,
               libssl-dev,
               libargon2-dev | libargon2-0-dev,
# other
               nasm,
               yasm,
Standards-Version: 4.1.5
Homepage: https://jami.net
Vcs-Git: https://git.jami.net/savoirfairelinux/jami-project.git
Vcs-Browser: https://git.jami.net/savoirfairelinux/jami-project

# The jami-all package is used as the "one-click install" package
# offered on the Jami website.  The following relationships ensure
# that installing the jami-all package replaces version of the other
# individual Jami packages.  This is so that users can fix any
# installation problem on their side by simply reinstalling as per the
# website instructions.
#
Package: jami-all
Architecture: any
Depends: gnupg,
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: jami,
          jami-libclient,
          jami-daemon,
          libqt-jami (>= 6.2.3),
Conflicts: jami,
           jami-libclient,
           jami-libclient-gnome,
           jami-daemon,
           jami-gnome,
           libqt-jami
Description: One-click install package for Jami
 This package only exists to provide an easy installation user experience.
 To install the default client, install the 'jami' package.

Package: jami
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         jami-daemon (=${binary:Version}),
         libqt-jami (>= 6.2.3)
Provides: jami-qt
Replaces: jami-all,
          jami-libclient (<= 20220516.0214.9b42ad3~dfsg1-1)
Breaks: jami-libclient (<= 20220516.0214.9b42ad3~dfsg1-1)
Conflicts: jami-all
Description: Secure and distributed voice, video and chat platform - desktop client
 Jami (jami.net) is a secure and distributed voice, video and chat communication
 platform that requires no centralized server and leaves the power of privacy
 in the hands of the user.
 .
 This package contains the jami-qt desktop client.

# Made into a transitional package on 2022-06-21, after libjamiclient
# was merged into src/libclient under jami-client-qt.git, to provide
# an upgrade path to existing users.  Feel free to remove this package
# later into the future, some time after 2023-06-21 perhaps.
Package: jami-libclient
Architecture: any
Description: transitional package for jami
 This is a transitional package. Jami libclient has been merged into
 the jami-qt client code-base, and this package can be safely removed.

Package: jami-daemon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Secure and distributed voice, video and chat platform - daemon
 Jami (jami.net) is a secure and distributed voice, video and chat communication
 platform that requires no centralized server and leaves the power of privacy
 in the hands of the user.
 .
 This package contains the Jami daemon: jamid.
